DataBolsa docs
Referência da APIDados de mercadoOpções

Histórico EOD de uma série de opção

GET
/v1/options/{option}/quotes
AuthorizationBearer <token>

In: header

Path Parameters

optionstring

Código da SÉRIE de opção (ex.: PETRF338), não o subjacente. Descubra via getOptionsChain do ativo.

Match^[A-Z0-9]{4,14}$

Query Parameters

cursor?string
limit?integer
Default100
Range1 <= value <= 1000
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/options/string/quotes?cursor=string&limit=100&from=string&to=string"
{
  "data": [
    {
      "date": "string",
      "option_ticker": "string",
      "option_type": "string",
      "strike": 0,
      "expiry": "string",
      "open": 0,
      "high": 0,
      "low": 0,
      "last": 0,
      "volume_brl": 0,
      "trades": 0,
      "underlying_spot": 0,
      "moneyness": 0,
      "intrinsic": 0,
      "time_value": 0,
      "iv": 0,
      "delta": 0,
      "gamma": 0,
      "vega": 0,
      "theta": 0
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}